// RESTFUl api 匹配无路由参数

import prisma from "@/lib/prisma";
import response from "@/lib/res";

// C -> Create
export async function POST(request) {
  const body = await request.json();
  //获取body参数
  const res = await prisma.folder.create({
    data: { ...body },
  });
  return response({ res });
}

// R -> Read
export async function GET(request, { params }) {
  // const searchParams = request.nextUrl.searchParams
  // const query = searchParams.get('query')
  // query is "hello" for /api/search?query=hello
  // const slug = params.slug; // 路由参数
  try {
    const folders = await prisma.folder.findMany({
      // where: { published: true },
      // include: {
      //   author: {
      //     select: { name: true },
      //   },
      // },
    });
    return response(folders);
  } catch (error) {
    return response(error, "err");
  }
}
