// RESTFUl api 匹配带路由参数
import response from "@/lib/res";
import prisma from "@/lib/prisma";

// R -> Read One
export async function GET(request, { params }) {
  const slug = params.slug; // 'a', 'b', or 'c'
  try {
    const folder = await prisma.folder.findUnique({
      where: {
        id: parseInt(slug),
      },
    });
    return response(folder);
  } catch (error) {
    return response(error, "err");
  }
}

//U -> Update
export async function PUT(request) {
  const res = await request.json();
  return Response.json({ res });
}

//D -> Delete
export async function DELETE(request) {
  const res = await request.json();
  return Response.json({ res });
}
